public class Complex {

  public double real;
  public double image;

  public Complex()
  {
    real = 0;
    image = 0;
  }


  public Complex(double r, double i)
  {
    real = r;
    image = i;
  }

  public double imag()
  {
    return image;
  }

  public double real()
  { 
    return real;
  }

  public double magnitude()
  {
    return Math.sqrt(this.real() * this.real() + this.imag() * this.imag());
  }

  public double argument()
  {
    return Math.atan2(this.imag(),this.real());
  }

  public String toString()
  {
    String str = "";

    if (this.real() != 0) {
      str = str + this.real();

      if (this.image > 0) {
        str = str + " + ";
      } 

      if (this.image < 0) {
        str = str + " - ";
      }
    } 

    if (this.image != 0) {
      str = str + "j" + Math.abs(this.imag());
    }
    
    return str;
  }

  public Complex add(Complex complex)
  {
    Complex answervalue = new Complex(this.real() + complex.real(),this.imag() + complex.imag());

    return answervalue;
  }


}